List Tool Registries
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/tool-registry \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tool-registry"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tool-registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tool_registries": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"workspace_id": 123,
"folder_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_ids": [
{
"source": "<string>",
"external_id": "<string>"
}
]
}
]
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tool Registry
List Tool Registries
GET
/
api
/
public
/
v2
/
tool-registry
List Tool Registries
List all tools in the Tool Registry for the workspace. Returns tool names, IDs, and metadata ordered by most recently updated.
Authorizations
Query Parameters
Filter by the creator's email address.
Filter resources created at or after this timestamp.
Filter resources created at or before this timestamp.
Filter resources updated at or after this timestamp.
Filter resources updated at or before this timestamp.
External ID source to filter by. Must be provided with external_id.
External ID value to filter by. Must be provided with external_source.
Sort field.
Available options:
created_at, updated_at, name, id Sort direction.
Available options:
asc, desc Was this page helpful?

